import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text } from '@storybook/addon-knobs';
import { Avatar } from './avatar';
import '../../theme/light.scss';

storiesOf('Avatar', module)
  .addDecorator(withKnobs)
  .add('Avatar', () => (
    <Avatar
      url={text('url', '')}
      length={text('length', '50')}
      tag={text('tag', 'span')}
      innerTag={text('innerTag', 'span')}
    />
  ));
