import { callIfFunc } from './utils';

describe('Utils helper', () => {
  describe('#callIfFunc', () => {
    test('should call if func', () => {
      const func = () => 'test';

      expect(callIfFunc(func)).toBe('test');
    });

    test('should not be call if no func', () => {
      const str = 'test';

      expect(callIfFunc(str)).toBe(str);
    });
  });
});
