import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { GlobalAlert } from './global-alert';
import '../../../theme/light.scss';

storiesOf('Alerts', module)
  .add('GlobalAlert', () => (
    <IntlProvider locale="en">
      <GlobalAlert intl="en" />
    </IntlProvider>
  ));
