import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text } from '@storybook/addon-knobs';
import { StepContainer } from './step-container';
import '../../theme/light.scss';

storiesOf('StepContainer', module)
  .addDecorator(withKnobs)
  .add('StepContainer', () => (
    <div style={{ background: 'aquamarine' }}>
      <StepContainer>{text('children', 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Repudiandae fugiat inventore quos totam doloribus provident doloremque obcaecati expedita tempore aliquam explicabo necessitatibus odio accusantium, laudantium, eos modi sint saepe cupiditate!')}</StepContainer>
    </div>
  ));
