import { changeLocation, getLocationOrigin } from './location';

let newWindowLoc;
Object.defineProperty(global, 'location', {
  set(newLoc) {
    newWindowLoc = newLoc;
  },
});

// Unable to test changing of window.location for now
describe('changeLocation', () => {
  test('should change location', () => {
    const newLoc = '/asdasd';
    changeLocation(newLoc);
    expect(newWindowLoc).toEqual(newLoc);
  });

  test('should get origin from location', () => {
    expect(getLocationOrigin()).toEqual('https://wallet.scorum.com');
  });
});
